using System.Diagnostics;

namespace PongGame.Hubs;

[DebuggerDisplay($"{{{nameof(ToString)}(),nq}}")]
public class PongPlayer {
    private string username = default!;

    public PongRoom? ConnectedRoom { get; internal set; }
    public string Username {
        get => username;
        internal set {
            if (username != value) {
                username = value;
                Task.Run(() => Client.UsernameChanged(value));
            }
        }
    }
    public IPongClient Client { get; internal set; } = default!;

    public override string ToString() => $"[{Username}]";
}